// Sample SPI EEPROM 
// Tested with ATmega163 & AT25640
// Compiled using IAR C
// No warranty

#include <string.h>
#include <interrupt.h>
#include "at25spi.h"

#define BUF_SZ (50)
#define EEPROM_SIZE (8*1024)
#define BASE   0

WORD bf[BUF_SZ];

int main(void)
{
	WORD i;

	EE_init(32);
	sei();
	
	/*-----------------------------*
	 *	Write block a block
	 *-----------------------------*/
	for(i=0; i<BUF_SZ; i++) 
		bf[i] = i;

	EE_write(BASE, (BYTE *)bf, sizeof(bf));

	memset(bf, 0, sizeof(bf));	

	EE_read(BASE, (BYTE *)bf, sizeof(bf));

	for(i=0; i<BUF_SZ; i++) {		// Write
		if(bf[i] != i) {
			// printf("Error\n");
		}
	}
	return 0;
}
